memeq(3)

NAME
memeq - memory equal

LIBRARY
gnulib - The GNU Portability Library

SYNOPSIS
#include <string.h>

bool memeq(const void *m1, const void *m2, size_t n);

DESCRIPTION
memeq() determines whether the first n bytes of the memory areas pointed to by m1 and m2 are equal.

RETURN VALUE
memeq() returns true if and only if the first n bytes of the memory areas pointed to by m1 and m2 are equal.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
GNU.

HISTORY
gnulib 202601.

SEE ALSO
streq(3), memcmp(3), string(3)